// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic','ionic.service.core','ngCordova', 'ionic.service.analytics', 'starter.controllers',   'ionic.service.push', 'ionic-material', 'ionic.contrib.drawer'])

.constant('ServerIp', {
  url: 'http://190.105.130.114:8009'
})

// Identify App
.config(['$ionicAppProvider', function($ionicAppProvider) {
  // Identify app
  $ionicAppProvider.identify({
    // The App ID for the server
    app_id: 'e6075c6a',
    // The API key all services will use for this app
    api_key: 'cab0ba3fa42eec096ce7e9a2bf038cb64aa66ee654873e7b',
    //API Tocken Google Play
    gcm_id: '1054387674756'
  });
}])

.run(function($ionicPlatform, $ionicAnalytics) {
  $ionicPlatform.ready(function() {
    //Analityc
    $ionicAnalytics.register();
    
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      StatusBar.backgroundColorByHexString("#424242");
    }
  });
})

.config(function($ionicConfigProvider){
  //$ionicConfigProvider.views.transition('none');
})

.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

  .state('app', {
    url: "/app",
    abstract: true,
    //cache: false,
    templateUrl: "templates/menu.html",
    controller: 'AppCtrl'
  })

  .state('inicio', {
    url: "/inicio",
    templateUrl: "templates/inicio.html",
    controller: 'InicioCtrl'
  })

  /*.state('app.inicio', {
      url: "/inicio",
      views: {
        'menuContent': {
          templateUrl: "templates/inicio.html",
          controller: 'InicioCtrl'
        }
      }
    })*/

  .state('app.home', {
      url: "/home",
      views: {
        'menuContent': {
          templateUrl: "templates/home.html",
          controller: 'HomeCtrl'
        }
      }
    })

  .state('app.rhemas', {
      url: "/rhemas",
      views: {
        'menuContent': {
          templateUrl: "templates/rhemas.html",
          controller: 'RhemasCtrl'
        }
      }
    })

  .state('app.tv', {
      url: "/tv",
      views: {
        'menuContent': {
          templateUrl: "templates/tv.html",
          controller: 'TelevisionCtrl'
        }
      }
    })

  .state('app.mensajes', {
      url: "/mensajes",
      views: {
        'menuContent': {
          templateUrl: "templates/mensajes.html",
          controller: 'MensajesCtrl'
        }
      }
    })

  .state('app.conversacion', {
      url: "/conversacion/:Id/:GrupoNombre",
      views: {
        'menuContent': {
          templateUrl: "templates/conversacion.html",
          controller: 'ConversacionCtrl'
        }
      }
    })

  .state('app.visitanos', {
      url: "/visitanos",
      views: {
        'menuContent': {
          templateUrl: "templates/visitanos.html",
          controller: 'VisitanosCtrl'
        }
      }
    })

  .state('app.moreRhemas', {
      url: "/moreRhemas",
      views: {
        'menuContent': {
          templateUrl: "templates/moreRhemas.html",
          controller: 'moreRhemasCtrl'
        }
      }
    })

  .state('app.perfil', {
      url: "/perfil",
      views: {
        'menuContent': {
          templateUrl: "templates/perfil.html",
          controller: 'perfilCtrl'
        }
      }
    })

  .state('app.search', {
    url: "/search",
    views: {
      'menuContent': {
        templateUrl: "templates/search.html"
      }
    }
  })

  .state('app.browse', {
    url: "/browse",
    views: {
      'menuContent': {
        templateUrl: "templates/browse.html"
      }
    }
  })
    .state('app.playlists', {
      url: "/playlists",
      views: {
        'menuContent': {
          templateUrl: "templates/playlists.html",
          controller: 'PlaylistsCtrl'
        }
      }
    })

  .state('app.single', {
    url: "/playlists/:playlistId",
    views: {
      'menuContent': {
        templateUrl: "templates/playlist.html",
        controller: 'PlaylistCtrl'
      }
    }
  });
  // if none of the above states are matched, use this as the fallback
  if(window.localStorage["usuario"]){
    $urlRouterProvider.otherwise('/app/home');
  }
  else{
    $urlRouterProvider.otherwise('/inicio');
  }
});
